# FIXME XXX
# WARNING FROM TV: USE FAKEROOT TO COMPILE IT AS IT DO SOME INSTALL -M 2755

Summary: A set of documentation tools:  man, apropos and whatis.
Name: man
Version: 1.5h1
Release: 9mdk
Copyright: GPL
Group: System/Base
Source0: ftp://ftp.win.tue.nl/pub/linux/utils/man/man-%{version}.tar.bz2
Source1: makewhatis.cronweekly
Source2: makewhatis.crondaily
Source3: man-1.5e-mdkpath.patch.bz2
Patch2: man-1.5g-buildroot.patch.bz2
Patch3: man-1.5-manconf.patch.bz2
Patch4: man-1.5g-make.patch.bz2
Patch10: man-1.5g-bzip2.patch.bz2
Patch11: man-1.5g-bzip2whatis.patch.bz2
Patch12: man-1.5g-nonrootbuild.patch.bz2
Patch13: man-1.5h1-secu.patch
Patch14: man-1.5h1-tv_fhs.patch
Buildroot: %{_tmppath}/%{name}-root
Requires: groff-for-man
Prereq:	setup

%description
The man package includes three tools for finding information and/or
documentation about your Linux system:  man, apropos and whatis.  The man
system formats and displays on-line manual pages about commands or
functions on your system.  Apropos searches the whatis database
(containing short descriptions of system commands) for a string.  Whatis
searches its own database for a complete word.

The man package should be installed on your system because it is the
primary way for find documentation on a Linux-Mandrake system.


%prep
%setup -q
%patch2 -p1 -b .buildroot
%patch3 -p1 
%patch4 -p1 -b .make
%patch10 -p1 -b .bzip2
%patch11 -p1 -b .whatbz2
%patch12 -p1
%patch13 -p0 -b .tv_secu
%patch14 -p1 -b .tv_hhs

rm -f $RPM_BUILD_DIR/man-%{version}/man/en/man.conf.man

%build
(cd man; for i in `find -name man.conf.man`; do mv $i `echo $i|sed -e 's/conf.man/config.man/g'`;done)
./configure -default +fsstnd +sgid +fhs +lang all
bzcat %{SOURCE3} |patch -p1 -s
make CC="gcc -g $RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/usr/{bin,man,sbin}
mkdir -p  $RPM_BUILD_ROOT/etc/cron.{daily,weekly}
make install PREFIX=$RPM_BUILD_ROOT mandir=%{_mandir}

install -m755 $RPM_SOURCE_DIR/makewhatis.cronweekly $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis.cron
install -m755 $RPM_SOURCE_DIR/makewhatis.crondaily $RPM_BUILD_ROOT/etc/cron.daily/makewhatis.cron

mkdir -p $RPM_BUILD_ROOT/var/catman
mkdir -p $RPM_BUILD_ROOT/var/catman/local
mkdir -p $RPM_BUILD_ROOT/var/catman/X11
for i in 1 2 3 4 5 6 7 8 9 n; do
	mkdir -p $RPM_BUILD_ROOT/var/catman/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/local/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/X11R6/cat$i
done


# added man2html stuff
cd man2html
make install PREFIX=$RPM_BUILD_ROOT mandir=%{_mandir} 

# symlinks for manpath
( cd $RPM_BUILD_ROOT
  ln -s man .%{_bindir}/manpath
  ln -s man.1.bz2 .%{_mandir}/man1/manpath.1.bz2
)
rm -fr $RPM_BUILD_ROOT/%{_mandir}/{de,fr,it,pl}
perl -pi -e 's!less -is!less -isr!g' $RPM_BUILD_ROOT/etc/man.config
perl -pi -e 's!/usr/man!/usr/share/man!g' $RPM_BUILD_ROOT/usr/sbin/makewhatis

%preun
# Clean up accumulated cat litter.
rm -f /var/catman/cat[123456789n]/*
rm -f /var/catman/local/cat[123456789n]/*
rm -f /var/catman/X11R6/cat[123456789n]/*

%post
rm -f /var/catman/cat[123456789n]/*
rm -f /var/catman/local/cat[123456789n]/*
rm -f /var/catman/X11/cat[123456789n]/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/cron.weekly/makewhatis.cron
%config(noreplace) /etc/cron.daily/makewhatis.cron
%attr(2755,root,man)	%{_bindir}/man
%{_bindir}/manpath
%{_bindir}/apropos
%{_bindir}/whatis
/usr/sbin/makewhatis
%config(noreplace) /etc/man.config
%{_mandir}/man5/*
%{_mandir}/man1/*
%{_mandir}/*/man?/*
%{_bindir}/man2html

%attr(0775,root,man)	%dir /var/catman
%attr(0775,root,man)	%dir /var/catman/cat[123456789n]
%attr(0775,root,man)	%dir /var/catman/local
%attr(0775,root,man)	%dir /var/catman/local/cat[123456789n]
%attr(0775,root,man)	%dir /var/catman/X11R6
%attr(0775,root,man)	%dir /var/catman/X11R6/cat[123456789n]

%changelog
* Thu Mar 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5h1-9mdk
- fix makewhatis for fhs

* Tue Oct 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5h1-8mdk
- prereq on setup

* Wed Oct 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5h1-7mdk
- uses less -r by default which enables to read man pages which are
  not in ascii even when the locales are set as EN.

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 1.5h1-6mdk
- some noreplace added
- requires groff-for-man instead of groff

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5h1-5mdk
- remove {de,fr,it,pl} man-pages which conflicts

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5h1-4mdk
- build release for BM
- use new macros
- add all translated man-pages (how can the author be so silly??)

* Sun Jul 09 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5h1-3mdk
- Fix typo.

* Thu Jun 29 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5h-2mdk
- security fix for makewhatis

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5h-1mdk
- new release
- remove useless loop & manpath patch
- remove a chunk of make patch which is now usefull

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 1.5g-15mdk
- build as non root fix

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build for new environnment (new group naming)
- heavy use of spechelper

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh patchs.

* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- By default in latin1.

* Tue May 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Makewhatis make the database with $LANG.
- Fix bug, if parsing files with -0 size.

* Mon May 24 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Fix up makewhatis bzip2/$LANG support
- 1.5g

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to makewhatis support bzip2 pages.
- Add patch to makewhatis to $LANG pages.

* Sun Apr 11 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- Mandrake adaptions
- restore de, fr, tr locales from 5.2
- Add support for {bzip2|bzip|tzip} compressed manpages
- bzip2 man pages

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- add manpath symlinks (#1138).

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #792
- added man2html files

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- upgraded to 1.5e
- properly buildrooted

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- enable fsstnd organization
- change /var/catman/X11 to X11R6
- %post/%preun to clean up cat litter

* Tue Jun 02 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- you can't do free(malloc(10) + 4) <sigh>

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5d

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.5a

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- uses a build root

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to man-1.4j, which fixes some security problems; release 1 is
  for RH 4.2, release 2 is for glibc
 
* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added /usr/lib/perl5/man to default manpath
